## libgpsmgr 0.1-10

=== debian/changelog ===
libgpsmgr (0.1-10) unstable; urgency=low

  * Errors in lintian checks fixed. NB#42220

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  4 Oct 2006 10:13:46 +0300

libgpsmgr (0.1-9) unstable; urgency=low

  * dbg package is now built

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 21 Sep 2006 11:06:02 +0300

libgpsmgr (0.1-8) unstable; urgency=low

  * All compile time warnings fixed

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 21 Sep 2006 10:41:18 +0300

libgpsmgr (0.1-7) unstable; urgency=low

  * ldconfig called in postinst in order to satisfy lintian

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 18 Sep 2006 12:33:04 +0300

libgpsmgr (0.1-6) unstable; urgency=low

  * gpsd kill timeout increased to 3 seconds (was 0.5 secs)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 14 Sep 2006 12:28:55 +0300

libgpsmgr (0.1-5) unstable; urgency=low

  * Debugging activated by default
  * gpsd is killed forcefully if it refuses to die

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 13 Sep 2006 16:31:29 +0300

libgpsmgr (0.1-4) unstable; urgency=low

  * Compilation flags fixed. NB#38184

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 22 Aug 2006 12:51:51 +0300

libgpsmgr (0.1-3) unstable; urgency=low

  * Fixed copyright notices in code.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 27 Jul 2006 12:22:20 +0300

libgpsmgr (0.1-2) unstable; urgency=low

  * Return value of gpsmgr_stop() is now more clear. If retval>0, then
    the function has not stopped gpsd because there is a user using it

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 12 May 2006 15:52:35 +0300

libgpsmgr (0.1-1) unstable; urgency=low

  * Initial revision

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 31 Mar 2006 10:30:06 +0200
