=== debian/control ===
Source: libgpsmgr
Section: libs
Priority: optional
Maintainer: Jukka Rissanen <jukka.rissanen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: libgpsmgr-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Description: Header files for developing software with libgpsmgr library.
 .

Package: libgpsmgr
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, osso-gpsd
Description: Library for managing GPS daemon start and stop from the
 application that needs GPS data.

Package: libgpsmgr-dbg
Section: libs
Architecture: any
Depends: libgpsmgr (= ${Source-Version})
Description: Debug symbos for library for managing GPS daemon start and stop from the
 application that needs GPS data.
